#!/usr/bin/python3
# -*- coding: utf-8 -*-

import sys
import wave 
import sndhdr
import ossaudiodev

if len( sys.argv ) != 2:
    print( 'правильный запуск: {} <звуковой файл>'.format( sys.argv[ 0 ] ) ) 
    sys.exit( 1 )
descr = sndhdr.what( sys.argv[ 1 ] )
if not descr:
    print( 'неизвестный тип аудиофайла (возможно, сырой поток сэмплов - .raw)' ) 
    sys.exit( 2 )

# descr = (type, sampling_rate, channels, frames, bits_per_sample)
# type : 'aifc', 'aiff', 'au', 'hcom', 'sndr', 'sndt', 'voc', 'wav', '8svx', 'sb', 'ub', 'ul'
# The sampling_rate will be either the actual value or 0 if unknown or difficult to decode. 
# The value for frames will be either the number of frames or -1. 
# The last item in the tuple, bits_per_sample, will either be the sample size in bits or 'A' for A-LAW or 'U' for u-LAW.

print( 'имя файла: {}'.format( sys.argv[ 1 ] ) )
title = ( 'формат файла', 'частота следования', 'число каналов', \
          'объём (сэмплов)', 'формат сэмпла' )
for i in range( len( title ) ):
    print( '{}: {}'.format( title[ i ], descr[ i ] ) )

