#!/usr/bin/python3
# -*- coding: utf-8 -*-

import sys
import wave 
import sndhdr
import ossaudiodev

if len( sys.argv ) != 2:
    print( "правильный запуск: {} <файл.wav>".format( sys.argv[ 0 ] ) ) 
    sys.exit( 1 )
if not sndhdr.whathdr( sys.argv[ 1 ] ):
    print( "файл не содержит RIFF заголовка (не .wav формат)" ) 
    sys.exit( 2 )

fw = wave.open( sys.argv[ 1 ], 'r' )
print( 'параметры записи: {}'.format( fw.getparams() ) ) 
adev = ossaudiodev.open( 'w' )         # открыть OSS аудио устройство
adev.channels( fw.getnchannels() )     # настроить число каналов, 1/2 - mono-stereo
adev.speed( fw.getframerate() )        # настроить частоту квантования
adev.setfmt( ossaudiodev.AFMT_S16_LE ) # настроить формат, правильно: fw.getsampwidth()
flen = fw.getnframes()                 # полное число отсчётов в завписи
# getcomptype()   -- returns compression type ('NONE' for linear samples)
# getcompname()   -- returns human-readable version of compression type ('not compressed' linear samples)

bufsize = 10000
while True:
    stream = fw.readframes( bufsize )  # читывание из файла
    print( 'считано {}'.format( len( stream ) ) )
    if len( stream ) == 0: break
    print( 'проиграно {}'.format( adev.write( stream ) ) )

print( 'последняя считанная позиция {}'.format( fw.tell() ) )

