#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>

int main( int argc, char *argv[] ) {
   int c;
   double stret = 1.0;
   int debug_level = 0;
   while( -1 != ( c = getopt( argc, argv, "hvs:" ) ) )
      switch( c ) {
         case 's':
            if( 0.0 != atof( optarg ) ) stret = atof( optarg );
            break;
         case 'v': debug_level++; break;
         case 'h':
         default :
            fprintf( stdout,
                     "Опции:\n"
                     " -s - вещественный коэффициент темпо-коррекции\n"
                     " -v - увеличить уровень детализации отладочного вывода\n"
                     " -h - вот этот текст подсказки\n" );
            exit( 'h' == c ? EXIT_SUCCESS : EXIT_FAILURE );
      }
   if( optind == argc ) 
      fprintf( stdout, "должен быть указан хотя бы один звуковой файл\n" ), exit( EXIT_FAILURE );

   char stretch[ 80 ] = "";
   if( 1.0 != stret ) sprintf( stretch, " stretch %f", stret );
   else sprintf( stretch, "" );

   const char *outcmd = "sox%s -twav %s -t alsa default %s";
   
   int i;
   for( i = optind; i < argc; i++ ) {
      char cmd[ 120 ] = "";
      sprintf( cmd, outcmd,  
               0 == debug_level ? " -q" : debug_level > 1 ? " -V" : "",
               argv[ i ],
               stretch );
      if( debug_level > 1 ) fprintf( stdout, "%s\n", cmd );
      system( cmd );
   }
   return EXIT_SUCCESS;
};
